Bug 1433959 - CVE-2017-6967 xrdp: Incorrect placement of auth_start_session() [fedora-all]
Summary: CVE-2017-6967 xrdp: Incorrect placement of auth_start_session() [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-6967
TreeView+ depends on / blocked
 
Reported: 2017-03-20 13:11 UTC by Andrej Nemec
Modified: 2017-04-16 20:23 UTC (History)
3 users (show)

Fixed In Version: xrdp-0.9.2-5.fc26 xrdp-0.9.2-5.fc24 xrdp-0.9.2-5.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 14:07:19 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-03-20 13:11:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-03-20 13:11:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1433955

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-03-31 03:29:55 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 3 Fedora Update System 2017-03-31 03:30:05 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 4 Fedora Update System 2017-03-31 03:31:41 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 5 Fedora Update System 2017-03-31 03:31:47 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 6 Fedora Update System 2017-03-31 03:32:49 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 7 Fedora Update System 2017-03-31 03:32:55 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 8 Fedora Update System 2017-03-31 16:51:37 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 9 Fedora Update System 2017-04-01 01:19:26 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 10 Fedora Update System 2017-04-01 01:51:29 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 11 Fedora Update System 2017-04-03 09:48:29 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 12 Fedora Update System 2017-04-03 09:49:31 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 13 Fedora Update System 2017-04-03 09:54:27 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 14 Fedora Update System 2017-04-04 00:23:32 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 15 Fedora Update System 2017-04-04 00:25:13 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 16 Fedora Update System 2017-04-04 00:27:59 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 17 Fedora Update System 2017-04-04 00:29:11 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 18 Fedora Update System 2017-04-04 01:52:25 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 19 Fedora Update System 2017-04-04 02:13:37 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 20 Fedora Update System 2017-04-04 22:21:19 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 21 Fedora Update System 2017-04-04 22:22:35 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 22 Fedora Update System 2017-04-04 23:51:36 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 23 Fedora Update System 2017-04-07 05:31:28 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 24 Fedora Update System 2017-04-07 05:32:30 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 25 Fedora Update System 2017-04-07 05:33:40 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 26 Fedora Update System 2017-04-07 19:53:32 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 27 Fedora Update System 2017-04-07 19:57:19 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 28 Fedora Update System 2017-04-07 21:20:35 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 29 Fedora Update System 2017-04-08 06:53:51 UTC
xorgxrdp-0.2.1-1.fc26 xrdp-0.9.2-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 30 Fedora Update System 2017-04-08 07:04:59 UTC
xorgxrdp-0.2.1-1.fc25 xrdp-0.9.2-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 31 Fedora Update System 2017-04-08 07:08:27 UTC
xorgxrdp-0.2.1-1.fc24 xrdp-0.9.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 32 Fedora Update System 2017-04-09 04:21:54 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8eac23007d

Comment 33 Fedora Update System 2017-04-09 04:23:37 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7bd002b77c

Comment 34 Fedora Update System 2017-04-09 05:52:29 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc634e7ee7

Comment 35 Fedora Update System 2017-04-13 14:07:19 UTC
xorgxrdp-0.2.1-1.fc26, xrdp-0.9.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-04-16 19:19:36 UTC
xorgxrdp-0.2.1-1.fc24, xrdp-0.9.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2017-04-16 20:23:30 UTC
xorgxrdp-0.2.1-1.fc25, xrdp-0.9.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.